<template>
    <div>
        <data-grid
                title="Country List"
                :api="route('admin.setting.location.country.get_json_data')"
                :columns="[
                    { label: 'Name', name: 'name' ,width:'320px'},
                    { label: 'iso2', name: 'iso2' },
                    { label: 'iso3', name: 'iso3',align:'text-right' },
                    { label: 'capital', name: 'capital',align:'text-right' },
                    { label: 'phone_code', name: 'phone_code',align:'text-right' },
                    { label: 'currency', name: 'currency',align:'text-right' },
                ]"
                :noSorted="[]"
                sortKey="name"
                @data-grid-response="dataGridResponse"
                :draw="draw"
        >


            <template slot="dg-td-name" slot-scope="{row,subRowToggle,index,filterEvent,media}">
                <div class="d-flex">
                    <div>
                        <div class="d-block text-center">
                            <a href="#" class="avatar mr-3">
                                <img alt="Image placeholder" v-lazy="media(row.image)">
                            </a>
                        </div>
                    </div>
                    <div>
                        <div class="d-inline-block font-weight-bold">
                            <strong>{{row.name}}</strong>
                        </div>
                        <div style="width: 100px">
                            <div class="row-actions">
                                <span class="row-actions-item no-hidden">ID-{{row.id}}</span>
                                <div class="row-actions-item">
                                    <a :href="route('admin.setting.location.state',row.id)" >state ({{row.state_count}})</a>
                                </div>

                            </div>
                        </div>

                    </div>
                </div>
            </template>


            <template slot="dg-td-iso2" slot-scope="{row,subRowToggle,index}">
                {{row.iso2}}
            </template>
            <template slot="dg-td-iso3" slot-scope="{row,subRowToggle,index}">
                {{row.iso3}}
            </template>
            <template slot="dg-td-capital" slot-scope="{row,subRowToggle,index}">
                {{row.capital}}
            </template>
            <template slot="dg-td-phone_code" slot-scope="{row,subRowToggle,index}">
                {{row.phone_code}}
            </template>
            <template slot="dg-td-currency" slot-scope="{row,subRowToggle,index}">
                {{row.currency}}
            </template>
        </data-grid>
    </div>
</template>

<script>
    export default {
        props:[],
        created() {

            $(document).ready(function () {
                $("#fixed-form-container .body").hide();
                $("#fixed-form-container .button").click(function () {
                    $(this).next("#fixed-form-container div").slideToggle(400);
                    $(this).toggleClass("expanded");
                });
            })
        },
        data() {
            return {
                draw:0
            }
        },
        methods: {
            dataGridResponse(){

            }
        }
    };
</script>
<style scoped>


</style>